作者 主題: 關於更新核心問題...  (閱讀 4346 次)

0 會員 與 1 訪客 正在閱讀本文。

...

  • 酷學園旁聽生
  • 俺是博士!
  • *****
  • 文章數: 5607
    • 檢視個人資料
關於更新核心問題...
« 於: 2002-01-06 12:05 »
嗯~各位好~
我用的是 RedHat 7.0、
原本我使用的 kernel 是『2.2.16-22』,
電腦本身裝有兩張網路卡:一張是 D-link 530tx、而另一張則是 Realtek 8139 的...
在 kernel 2.2.16-22 下兩張都預設有 driver、可正常使用。
但昨天我嘗試把 kernel 更新至 2.2.20 ,在我編譯核心時,我發現在『Network device support』裏根本就沒有『Realtek 8139』的驅動程式可選擇...
我發現在那裏可選擇的驅動程式比我原本的 2.2.16-22 少了很多...
但怎麼會這樣的呢?
這樣如果我更新到 2.2.20 、那麼在安裝硬體上豈不更麻煩...抑或是我搞錯了什麼呢?
之後我嘗就自己到『/usr/src/linux/2.2.20/drivers/net』裏看,
它的核心上是有 rtl8139 的 drivers...
但當編譯時,它就是不給我編譯...
昨天試過了用 make xconfig 來再進行編譯 "因為知前是用 make menuconfig 的"...
發覺在『 Network device support』裏是有『rtl8139 support』之類的句子,但都是『灰』了 "即不能選擇任何設定" ,
除了『rtl8139』是這樣外,其實還有很多的網路卡也是這樣的『灰』了...
總知所有可以選的網路卡,我也選了;就是仍不能選『rtl8139』...
究竟怎麼會這樣呢?
希望各位能指點指點!謝謝!

Anonymous

  • 訪客
關於更新核心問題...
« 回覆 #1 於: 2002-01-06 16:56 »
您有沒將
  •   EISA, VLB, PCI and on board controllers  選起來啊﹖

...

  • 酷學園旁聽生
  • 俺是博士!
  • *****
  • 文章數: 5607
    • 檢視個人資料
關於更新核心問題...
« 回覆 #2 於: 2002-01-06 17:29 »
多謝你的指點!
我再檢查一下吧!

但是 netman 前輩...
我現在又有其他的一些麻煩了,
本來今天想試試更新 apache 的,
我到 http://www.apache.org/dist/httpd/binaries/linux 下載了『1.3.22』版的 apache...
它好像是說那個版本是 install 什麼 distribution 版的,
後來我下載了後、看了它的 INSTALL.bindist 後就照著執行它說的『INSTALL.bindist.sh』...
之後很快、真的很快...它便說成它w裝了『1.3.22』到 /usr/local/apache 裏後說我只要修改 /usr/local/apache/conf/httpd.conf 後再執行 /usr/local/apache/bin/apachectl start 後便能使用了...
但我發覺卻不行,我發覺在執行的只是原本的舊版 apache,
我用 rpm -qa | grep apache 來查看都是只有『1.3.12』,
即我原來的 apache...
而我的 /usr/local/apache 目錄下卻多了一堆 apache 的 file...
那麼我現在是什麼了呢?
新板的 apache 我到底是裝了沒有呢?
我該怎樣呢?
希望各位能指點指點!謝謝!